
package com.tmerclub.cloud.common.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;


/**
 * @author xxw
 * @date 2022/8/26 10:04
 */
public class CartComboMatchSpuDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "套餐搭配商品id")
    private Long spuId;

    @Schema(description = "套餐搭配商品skuId")
    private Long skuId;

    @Schema(description = "套餐搭配商品旧skuId")
    private Long oldSkuId;

    @Schema(description = "数量")
    private Integer count;

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getOldSkuId() {
        return oldSkuId;
    }

    public void setOldSkuId(Long oldSkuId) {
        this.oldSkuId = oldSkuId;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    @Override
    public String toString() {
        return "CartComboMatchSpuDTO{" +
                "spuId=" + spuId +
                ", skuId=" + skuId +
                ", oldSkuId=" + oldSkuId +
                ", count=" + count +
                '}';
    }
}
